%    
% y[n]=0.5*x[n]-0.1*x[n-1]-0.3*y[n-1]
% .. .    
% b0=0.5, b1=-0.1, a0=1, a1=0.3
%   MatLab . a0      (a0=1).
b=[0.5 -0.1];
a=[1 0.3];
N=10;% 
n=0:N;

%1
%  u0
x=[1; zeros(N,1)]; 
%  
y=filter(b, a, x);
figure(1);
plot(n,x,n,y)
hold on
stem(n,x)
stem(n,y)
grid

%2 
%  u1
for k=0:N
    x(k+1)=1; 
end;
%  
y=filter(b, a, x);
figure(2);
plot(n,x,n,y)
hold on
stem(n,x)
stem(n,y)
grid

%3
%      ,   :
%  H(z)=(0.5-0.1*z^(-1))/(1+0.3*z^(-1))

%4
%     (    )
figure(3);
zplane(b, a)

%5
%   
Fs=2*pi;
f=-pi/2:0.1:pi/2
H=freqz(b, a, f, Fs);

%6
% 
A=abs(H);
figure(4);
plot(f, A)

%7
% 
Fi=angle(H);
figure(5);
plot(f, Fi)
%8
% 
[GD, f]=grpdelay(b, a, 100, 2*pi);
figure(6);
plot(f, GD)
